Skip to main content
GET
List device types

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

annotation_eq
object

Filter by annotation key=value pairs (AND semantics). Use annotation_eq[key]=value.

annotation_has
string

Filter by annotation key existence (comma-separated, AND semantics).

kind
enum<string>
  • host - Host
  • switch - Switch
Available options:
host,
switch
limit
integer

Number of results to return per page.

Required range: 1 <= x <= 500
model
string
organisation_id
string<uuid>[]

Multiple values may be separated by commas.

page
integer

A page number within the paginated result set.

site_id
string<uuid>[]

Multiple values may be separated by commas.

tag
string

Filter by tags (comma-separated, OR semantics).

vendor
string

Response

count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?page=4"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?page=2"